<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: TestCollatz.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">TestCollatz.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;tuple&gt;</code><br />
<code>#include &lt;utility&gt;</code><br />
<code>#include &quot;gtest/gtest.h&quot;</code><br />
<code>#include &quot;<a class="el" href="Collatz_8hpp_source.html">Collatz.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for TestCollatz.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="TestCollatz_8cpp__incl.png" border="0" usemap="#TestCollatz_8cpp" alt=""/></div>
<map name="TestCollatz_8cpp" id="TestCollatz_8cpp">
<area shape="rect" id="node6" href="Collatz_8hpp.html" title="Collatz.hpp" alt="" coords="149,80,237,107"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a528303af22c7c5a550af7342092a9f05"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#a528303af22c7c5a550af7342092a9f05">TEST</a> (CollatzFixture, read)</td></tr>
<tr class="separator:a528303af22c7c5a550af7342092a9f05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab109079a917f1d737c31ce00ccc554ba"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#ab109079a917f1d737c31ce00ccc554ba">TEST</a> (CollatzFixture, eval0)</td></tr>
<tr class="separator:ab109079a917f1d737c31ce00ccc554ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97dd949045b923b842e83c46bd4e7af3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#a97dd949045b923b842e83c46bd4e7af3">TEST</a> (CollatzFixture, eval1)</td></tr>
<tr class="separator:a97dd949045b923b842e83c46bd4e7af3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a658e6c13b699348b57c9f359cb78c870"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#a658e6c13b699348b57c9f359cb78c870">TEST</a> (CollatzFixture, eval2)</td></tr>
<tr class="separator:a658e6c13b699348b57c9f359cb78c870"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af57a425212ca716c370d3b3638be3966"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#af57a425212ca716c370d3b3638be3966">TEST</a> (CollatzFixture, eval3)</td></tr>
<tr class="separator:af57a425212ca716c370d3b3638be3966"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a921ac2cfb4b11b8da6a04f0e015eda42"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#a921ac2cfb4b11b8da6a04f0e015eda42">TEST</a> (CollatzFixture, eval4)</td></tr>
<tr class="separator:a921ac2cfb4b11b8da6a04f0e015eda42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae02cce56fd7fe0efdf118e64fe223f4b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#ae02cce56fd7fe0efdf118e64fe223f4b">TEST</a> (CollatzFixture, eval5)</td></tr>
<tr class="separator:ae02cce56fd7fe0efdf118e64fe223f4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab705c92b43913d2fb3502424abcfb14d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#ab705c92b43913d2fb3502424abcfb14d">TEST</a> (CollatzFixture, cSol0)</td></tr>
<tr class="separator:ab705c92b43913d2fb3502424abcfb14d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57bb1a37dcd7840dd442658a7ed08e07"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#a57bb1a37dcd7840dd442658a7ed08e07">TEST</a> (CollatzFixture, cSol1)</td></tr>
<tr class="separator:a57bb1a37dcd7840dd442658a7ed08e07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82fc9635e8a585ea80f70936e7c771f2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#a82fc9635e8a585ea80f70936e7c771f2">TEST</a> (CollatzFixture, cSol2)</td></tr>
<tr class="separator:a82fc9635e8a585ea80f70936e7c771f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff555d25095c2d6e300b32e72ed70a6b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#aff555d25095c2d6e300b32e72ed70a6b">TEST</a> (CollatzFixture, cSol3)</td></tr>
<tr class="separator:aff555d25095c2d6e300b32e72ed70a6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfb8b14550403a9ff8fc1f698ecdf950"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#abfb8b14550403a9ff8fc1f698ecdf950">TEST</a> (CollatzFixture, coSol0)</td></tr>
<tr class="separator:abfb8b14550403a9ff8fc1f698ecdf950"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b2c8c0827a9adc992dc11f384d15b19"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#a5b2c8c0827a9adc992dc11f384d15b19">TEST</a> (CollatzFixture, coSol1)</td></tr>
<tr class="separator:a5b2c8c0827a9adc992dc11f384d15b19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3cd9db20d8dc54ed03284e14645412b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#ad3cd9db20d8dc54ed03284e14645412b">TEST</a> (CollatzFixture, coSol2)</td></tr>
<tr class="separator:ad3cd9db20d8dc54ed03284e14645412b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f09f9e4e15bb28d0f3877b48d05585f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#a6f09f9e4e15bb28d0f3877b48d05585f">TEST</a> (CollatzFixture, coSol3)</td></tr>
<tr class="separator:a6f09f9e4e15bb28d0f3877b48d05585f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa119aa50d47ffa02c0d89117fd451220"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#aa119aa50d47ffa02c0d89117fd451220">TEST</a> (CollatzFixture, coSol4)</td></tr>
<tr class="separator:aa119aa50d47ffa02c0d89117fd451220"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa22fafe4974fd4f2b42ce9d8550f3a84"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#aa22fafe4974fd4f2b42ce9d8550f3a84">TEST</a> (CollatzFixture, coSol5)</td></tr>
<tr class="separator:aa22fafe4974fd4f2b42ce9d8550f3a84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ffe2233abb5f506139fc48fbacd0d35"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#a8ffe2233abb5f506139fc48fbacd0d35">TEST</a> (CollatzFixture, coSol6)</td></tr>
<tr class="separator:a8ffe2233abb5f506139fc48fbacd0d35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb7713a682577e05a0b0965ac1848343"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#acb7713a682577e05a0b0965ac1848343">TEST</a> (CollatzFixture, coSol7)</td></tr>
<tr class="separator:acb7713a682577e05a0b0965ac1848343"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95a61f10452ccecf2419cbdf7820f4f0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#a95a61f10452ccecf2419cbdf7820f4f0">TEST</a> (CollatxFixture, coLo0)</td></tr>
<tr class="separator:a95a61f10452ccecf2419cbdf7820f4f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1be21485425cf43808a497ed8ef4d418"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#a1be21485425cf43808a497ed8ef4d418">TEST</a> (CollatzFixture, print)</td></tr>
<tr class="separator:a1be21485425cf43808a497ed8ef4d418"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07f06cda216730b4038ffd06db5a3d1f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TestCollatz_8cpp.html#a07f06cda216730b4038ffd06db5a3d1f">TEST</a> (CollatzFixture, solve)</td></tr>
<tr class="separator:a07f06cda216730b4038ffd06db5a3d1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a528303af22c7c5a550af7342092a9f05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a528303af22c7c5a550af7342092a9f05">&#9670;&nbsp;</a></span>TEST() <span class="overload">[1/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">read&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab109079a917f1d737c31ce00ccc554ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab109079a917f1d737c31ce00ccc554ba">&#9670;&nbsp;</a></span>TEST() <span class="overload">[2/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">eval0&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a97dd949045b923b842e83c46bd4e7af3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97dd949045b923b842e83c46bd4e7af3">&#9670;&nbsp;</a></span>TEST() <span class="overload">[3/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">eval1&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a658e6c13b699348b57c9f359cb78c870"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a658e6c13b699348b57c9f359cb78c870">&#9670;&nbsp;</a></span>TEST() <span class="overload">[4/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">eval2&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af57a425212ca716c370d3b3638be3966"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af57a425212ca716c370d3b3638be3966">&#9670;&nbsp;</a></span>TEST() <span class="overload">[5/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">eval3&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a921ac2cfb4b11b8da6a04f0e015eda42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a921ac2cfb4b11b8da6a04f0e015eda42">&#9670;&nbsp;</a></span>TEST() <span class="overload">[6/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">eval4&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae02cce56fd7fe0efdf118e64fe223f4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae02cce56fd7fe0efdf118e64fe223f4b">&#9670;&nbsp;</a></span>TEST() <span class="overload">[7/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">eval5&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab705c92b43913d2fb3502424abcfb14d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab705c92b43913d2fb3502424abcfb14d">&#9670;&nbsp;</a></span>TEST() <span class="overload">[8/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">cSol0&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a57bb1a37dcd7840dd442658a7ed08e07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57bb1a37dcd7840dd442658a7ed08e07">&#9670;&nbsp;</a></span>TEST() <span class="overload">[9/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">cSol1&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a82fc9635e8a585ea80f70936e7c771f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82fc9635e8a585ea80f70936e7c771f2">&#9670;&nbsp;</a></span>TEST() <span class="overload">[10/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">cSol2&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aff555d25095c2d6e300b32e72ed70a6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff555d25095c2d6e300b32e72ed70a6b">&#9670;&nbsp;</a></span>TEST() <span class="overload">[11/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">cSol3&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abfb8b14550403a9ff8fc1f698ecdf950"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfb8b14550403a9ff8fc1f698ecdf950">&#9670;&nbsp;</a></span>TEST() <span class="overload">[12/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">coSol0&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5b2c8c0827a9adc992dc11f384d15b19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b2c8c0827a9adc992dc11f384d15b19">&#9670;&nbsp;</a></span>TEST() <span class="overload">[13/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">coSol1&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad3cd9db20d8dc54ed03284e14645412b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3cd9db20d8dc54ed03284e14645412b">&#9670;&nbsp;</a></span>TEST() <span class="overload">[14/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">coSol2&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6f09f9e4e15bb28d0f3877b48d05585f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f09f9e4e15bb28d0f3877b48d05585f">&#9670;&nbsp;</a></span>TEST() <span class="overload">[15/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">coSol3&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa119aa50d47ffa02c0d89117fd451220"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa119aa50d47ffa02c0d89117fd451220">&#9670;&nbsp;</a></span>TEST() <span class="overload">[16/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">coSol4&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa22fafe4974fd4f2b42ce9d8550f3a84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa22fafe4974fd4f2b42ce9d8550f3a84">&#9670;&nbsp;</a></span>TEST() <span class="overload">[17/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">coSol5&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8ffe2233abb5f506139fc48fbacd0d35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ffe2233abb5f506139fc48fbacd0d35">&#9670;&nbsp;</a></span>TEST() <span class="overload">[18/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">coSol6&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acb7713a682577e05a0b0965ac1848343"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb7713a682577e05a0b0965ac1848343">&#9670;&nbsp;</a></span>TEST() <span class="overload">[19/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">coSol7&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a95a61f10452ccecf2419cbdf7820f4f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95a61f10452ccecf2419cbdf7820f4f0">&#9670;&nbsp;</a></span>TEST() <span class="overload">[20/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatxFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">coLo0&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1be21485425cf43808a497ed8ef4d418"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1be21485425cf43808a497ed8ef4d418">&#9670;&nbsp;</a></span>TEST() <span class="overload">[21/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">print&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a07f06cda216730b4038ffd06db5a3d1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07f06cda216730b4038ffd06db5a3d1f">&#9670;&nbsp;</a></span>TEST() <span class="overload">[22/22]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">CollatzFixture&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">solve&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
